using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace LLNet.Tienda.MainForms.Forms.Tarjetas
{
    public partial class FrmBanco : Form
    {
        public FrmBanco()
        {
            InitializeComponent();
        }

        private void btnReimprimir_Click(object sender, EventArgs e)
        {
            if (this.rBtnBCR.Checked)
            {
                Forms.FrmBCROpcs fbcr = new Forms.FrmBCROpcs("R");
                fbcr.ShowDialog();
            }
            else if (this.rBtnBNCR.Checked)
            {
                Forms.FrmBNCROpcs fbcr = new Forms.FrmBNCROpcs();
                fbcr.ShowDialog();
            }
            this.Close();
        }

        private void btnCancelar_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void FrmBanco_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyCode)
            {
                case Keys.Escape:
                    btnCancelar_Click(null, null);
                    break;

                case Keys.F6:
                    btnReimprimir_Click(null, null);
                    break;
            }
        }
    }
}
